QSTAT(1)

NAME
qstat - Tool for querying gaming servers

SYNOPSIS
qstat [options ...] [-default server-type] [-cfg file] [-f file] [host[:port]] ...

Where host is an IP address or host name

DESCRIPTION
Qstat provides a simple interface for querying servers for a number of games, including but not limited to quake, quakeworld, quake2, quake3arena, unreal tournament or half-life.

For servers running a game, the server name, map name, current number of players, and response time are displayed. Server rules and player information may also be displayed.

OPTIONS

-a2s
    query Half-Life 2 new server

-ams
    query America's Army v2.x server

-bfs
    query BFRIS server

-d3g
    query Descent3 Gamespy Protocol server

-d3m
    query Descent3 Master (PXO) server

-d3p
    query Descent3 PXO protocol server

-d3s
    query Descent3 server

-dm3m
    query Doom 3 Master server

-dm3s
    query Doom 3 server

-efm
    query Star Trek: Elite Force server

-efs
    query Star Trek: Elite Force server

-eye
    query All Seeing Eye Protocol server

-fcs
    query FarCry server

-gps
    query Gamespy Protocol server

-grs
    query Ghost Recon server

-gs2
    query Gamespy V2 Protocol server

-gs3
    query Gamespy V3 Protocol server

-gs4
    query Gamespy V4 Protocol server

-gsm
    query Gamespy Master server

-h2s
    query Hexen II server

-hl2s
    query Half-Life 2 server

-hlm
    query Half-Life Master server

-hls
    query Half-Life server

-hrs
    query Heretic II server

-hws
    query HexenWorld server

-jk3m
    query Jedi Knight: Jedi Academy server

-jk3s
    query Jedi Knight: Jedi Academy server

-kps
    query Kingpin server

-preys
    query PREY server

-prs
    query Pariah server

-q2m
    query Quake II Master server

-q2s
    query Quake II server

-q3m
    query Quake III Master server

-q3s
    query Quake III: Arena server

-q4m
    query Quake 4 Master server

-q4s
    query Quake 4 server

-qs query Quake server

-qwm
    query QuakeWorld Master server

-qws
    query QuakeWorld server

-rss
    query Ravenshield server

-rwm
    query Return to Castle Wolfenstein Master server

-rws
    query Return to Castle Wolfenstein server

-sas
    query Savage server

-sfs
    query Soldier of Fortune server

-sgs
    query Shogo: Mobile Armor Division server

-sns
    query Sin server

-stm
    query Steam Master server

-t2m
    query Tribes 2 Master server

-t2s
    query Tribes 2 server

-tbm
    query Tribes Master server

-tbs
    query Tribes server

-tm query TrackMania server

-ts2
    query Teamspeak 2 server

-uns
    query Unreal server

-ut2004m
    query UT2004 Master server

-ut2s
    query Unreal Tournament 2003 server

-default
    set default server type: a2s ams bfs d3g d3m d3p d3s dm3m dm3s efm efs eye fcs gps grs gs2 gs3 gs4 gsm h2s hl2s hlm hls hrs hws jk3m jk3s kps preys prs q2m q2s q3m q3s q4m q4s qs qwm qws rss rwm rws sas sfs sgs sns stm t2m t2s tbm tbs tm ts2 uns ut2004m ut2s

-nocfg
    Ignore qstat configuration loaded from any default location. Must be the first option on the command-line.

-cfg
    read the extended types from given file not the default one

-f  read hosts from file

-R  fetch and display server rules

-P  fetch and display player info

-sort
    sort servers and/or players

-u  only display servers that are up

-nf do not display full servers

-ne do not display empty servers

-nh do not display header line.

-cn display color names instead of numbers

-ncn
    display color numbers instead of names

-hc display colors in #rrggbb format

-tc display time in clock format (DhDDmDDs)

-tsw
    display time in stop-watch format (DD:DD:DD)

-ts display time in seconds

-pa display player address

-hpn
    display player names in hex

-hsn
    display server names in hex

-nh do not display header

-old
    old style display

-progress
    display progress meter (text only)

-retry
    number of retries, default is 3

-interval
    interval between retries, default is 0.50 seconds

-mi interval between master server retries, default is 2.00 seconds

-timeout
    total time in seconds before giving up

-maxsim
    set maximum simultaneous queries

-sendinterval
    set time in ms between sending packets, default 5

-errors
    display errors

-allowserverdups
    allow adding multiple servers with same ip:port (needed for ts2)

-of output file

-af Like -of, but append to the file

-raw <delim>
    output in raw format using <delim> as delimiter

-mdelim <delim>
    For rules with multi values use <delim> as delimiter

-xml
    output status data as an XML document

-Th, -Ts, -Tpt
    output templates: header, server and player

-Tr, -Tt
    output templates: rule, and trailer

-srcport <range>
    Send packets from these network ports

-srcip <IP>
    Send packets using this IP address

-H  resolve host names

-Hcache <file>
    host name cache file

-carets
    Display carets in Quake 3 player names

-d  Enable debug options. Specify multiple times to increase debug level

-dump
    write received raw packets to dumpNNN files which must not exist before

-pkt <file>
    use file as server reply instead of querying the server. Works only with TF_SINGLE_QUERY servers

-htmlmode
    Convert <, >, and & to the equivalent HTML entities

-htmlnames
    Colorize Quake 3 and Tribes 2 player names using html font tags

-nohtmlnames
    Do not colorize Quake 3 and Tribes 2 player names even if $HTML is used in an output template

-showgameport
    Always display the game port in QStat output

-noportoffset
    Do not use builtin status port offsets (assume query port was specified)

-raw-arg
    When used with -raw, always display the server address as it appeared in a file or on the command-line

-utf8
    Use the UTF-8 character encoding for XML output.

  Sort keys:

    servers: p=by-ping, g=by-game, i=by-IP-address, h=by-hostname, n=by-#-players, l=by-list-order
    players: P=by-ping, F=by-frags, T=by-team, N=by-name

This manpage describes qstat version 2.11.

SEE ALSO
/usr/share/doc/qstat/qstatdoc.html

AUTHOR
This manual page was originally written by Jordi Mallach <jordi@debian.org>, for the Debian system and is distributed under the same licence as Qstat itself.